---
name: Bug report
about: Create a report to help us improve
title: '[BUG] '
labels: 'bug'
assignees: ''
---

## Bug Description
A clear and concise description of what the bug is.

## To Reproduce
Steps to reproduce the behavior:
1. Code snippet or command that triggers the bug
2. Input data (if applicable)
3. Expected output
4. Actual output

## Code Example
```rust
// Minimal reproducible example
```

## Environment
- OS: [e.g. Ubuntu 22.04, macOS 13.0, Windows 11]
- Rust version: [e.g. 1.70.0]
- Shlesha version: [e.g. 0.1.0]
- For Python: Python version [e.g. 3.10.0]
- For WASM: Browser/Node version

## Additional Context
Add any other context about the problem here.